<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::cmd_line_parser_check_c&lt; clp_check &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1cmd__line__parser__check__c.html">cmd_line_parser_check_c</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classdlib_1_1cmd__line__parser__check__c-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::cmd_line_parser_check_c&lt; clp_check &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::cmd_line_parser_check_c&lt; clp_check &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1cmd__line__parser__check__c.png" usemap="#dlib::cmd_5Fline_5Fparser_5Fcheck_5Fc_3C_20clp_5Fcheck_20_3E_map" alt=""/>
  <map id="dlib::cmd_5Fline_5Fparser_5Fcheck_5Fc_3C_20clp_5Fcheck_20_3E_map" name="dlib::cmd_5Fline_5Fparser_5Fcheck_5Fc_3C_20clp_5Fcheck_20_3E_map">
<area href="classdlib_1_1cmd__line__parser.html" alt="dlib::cmd_line_parser&lt; charT &gt;" shape="rect" coords="0,112,269,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:abac2e472c1ffd55a45d617a7befe47fb"><td class="memItemLeft" align="right" valign="top"><a id="abac2e472c1ffd55a45d617a7befe47fb"></a>
typedef clp_check::char_type&#160;</td><td class="memItemRight" valign="bottom"><b>char_type</b></td></tr>
<tr class="separator:abac2e472c1ffd55a45d617a7befe47fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a502aeb5f2d83b7ad95e4b445bdbbb12f"><td class="memItemLeft" align="right" valign="top"><a id="a502aeb5f2d83b7ad95e4b445bdbbb12f"></a>
typedef clp_check::string_type&#160;</td><td class="memItemRight" valign="bottom"><b>string_type</b></td></tr>
<tr class="separator:a502aeb5f2d83b7ad95e4b445bdbbb12f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a60926dc42620b76dc6a83ba80499bcb5"><td class="memTemplParams" colspan="2"><a id="a60926dc42620b76dc6a83ba80499bcb5"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a60926dc42620b76dc6a83ba80499bcb5"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_option_arg_type</b> (const string_type &amp;option_name) const</td></tr>
<tr class="separator:a60926dc42620b76dc6a83ba80499bcb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4d2fee920576cb942930c1c11a4ae99"><td class="memTemplParams" colspan="2"><a id="ac4d2fee920576cb942930c1c11a4ae99"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:ac4d2fee920576cb942930c1c11a4ae99"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_option_arg_range</b> (const string_type &amp;option_name, const T &amp;first, const T &amp;last) const</td></tr>
<tr class="separator:ac4d2fee920576cb942930c1c11a4ae99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a5752f71247c73667611dab5099e6e0"><td class="memTemplParams" colspan="2"><a id="a6a5752f71247c73667611dab5099e6e0"></a>
template&lt;typename T , size_t length&gt; </td></tr>
<tr class="memitem:a6a5752f71247c73667611dab5099e6e0"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_option_arg_range</b> (const string_type &amp;option_name, const T(&amp;arg_set)[length]) const</td></tr>
<tr class="separator:a6a5752f71247c73667611dab5099e6e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad609a8ea2b5fec1ddc6fda99d86e720a"><td class="memTemplParams" colspan="2"><a id="ad609a8ea2b5fec1ddc6fda99d86e720a"></a>
template&lt;size_t length&gt; </td></tr>
<tr class="memitem:ad609a8ea2b5fec1ddc6fda99d86e720a"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_option_arg_range</b> (const string_type &amp;option_name, const char_type *(&amp;arg_set)[length]) const</td></tr>
<tr class="separator:ad609a8ea2b5fec1ddc6fda99d86e720a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f35625f943b86b03448ad8079a718f"><td class="memTemplParams" colspan="2"><a id="af4f35625f943b86b03448ad8079a718f"></a>
template&lt;size_t length&gt; </td></tr>
<tr class="memitem:af4f35625f943b86b03448ad8079a718f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_incompatible_options</b> (const char_type *(&amp;option_set)[length]) const</td></tr>
<tr class="separator:af4f35625f943b86b03448ad8079a718f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65cc3f7e6ac219bdcd179032e4803893"><td class="memTemplParams" colspan="2"><a id="a65cc3f7e6ac219bdcd179032e4803893"></a>
template&lt;size_t length&gt; </td></tr>
<tr class="memitem:a65cc3f7e6ac219bdcd179032e4803893"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_one_time_options</b> (const char_type *(&amp;option_set)[length]) const</td></tr>
<tr class="separator:a65cc3f7e6ac219bdcd179032e4803893"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a068d4090b88d20c0cdc069844cd378e9"><td class="memItemLeft" align="right" valign="top"><a id="a068d4090b88d20c0cdc069844cd378e9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>check_incompatible_options</b> (const string_type &amp;option_name1, const string_type &amp;option_name2) const</td></tr>
<tr class="separator:a068d4090b88d20c0cdc069844cd378e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cc97117796abc17dde7920b55adb0db"><td class="memItemLeft" align="right" valign="top"><a id="a1cc97117796abc17dde7920b55adb0db"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>check_sub_option</b> (const string_type &amp;parent_option, const string_type &amp;sub_option) const</td></tr>
<tr class="separator:a1cc97117796abc17dde7920b55adb0db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1db425abcc3bcc7c66e6937c89f452"><td class="memTemplParams" colspan="2"><a id="a5e1db425abcc3bcc7c66e6937c89f452"></a>
template&lt;size_t length&gt; </td></tr>
<tr class="memitem:a5e1db425abcc3bcc7c66e6937c89f452"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_sub_options</b> (const string_type &amp;parent_option, const char_type *(&amp;sub_option_set)[length]) const</td></tr>
<tr class="separator:a5e1db425abcc3bcc7c66e6937c89f452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f2a694f1010e0130b9e03648ca6a97"><td class="memTemplParams" colspan="2"><a id="aa2f2a694f1010e0130b9e03648ca6a97"></a>
template&lt;size_t length&gt; </td></tr>
<tr class="memitem:aa2f2a694f1010e0130b9e03648ca6a97"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_sub_options</b> (const char_type *(&amp;parent_option_set)[length], const string_type &amp;sub_option) const</td></tr>
<tr class="separator:aa2f2a694f1010e0130b9e03648ca6a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab68dc9b94cb2fbc8e714ca7ac946ded8"><td class="memTemplParams" colspan="2"><a id="ab68dc9b94cb2fbc8e714ca7ac946ded8"></a>
template&lt;size_t parent_length, size_t sub_length&gt; </td></tr>
<tr class="memitem:ab68dc9b94cb2fbc8e714ca7ac946ded8"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>check_sub_options</b> (const char_type *(&amp;parent_option_set)[parent_length], const char_type *(&amp;sub_option_set)[sub_length]) const</td></tr>
<tr class="separator:ab68dc9b94cb2fbc8e714ca7ac946ded8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="cmd__line__parser__check__c_8h_source.html">cmd_line_parser_check_c.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
